Name:           kiosktool
Summary:        Tool to enable KDE's KIOSK feature.
Version:        1.0
Release:        %mkrel 5
Source:         %{name}-%{version}.tar.bz2
Patch1:         kiosktool-0.9-fix-save-profile.patch
URL:            http://www-ftp.lip6.fr/pub/X11/kde/stable/apps/KDE3.x/admin/
Group:          Graphical desktop/KDE
BuildRoot:      %_tmppath/%name-buildroot
License:        GPL
BuildRequires:  XFree86-devel
BuildRequires:  kdelibs-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  arts-devel
BuildRequires:  png-devel
BuildRequires:  jpeg-devel


%description
A Point&Click tool for system administrators to enable KDE's KIOSK features or 
otherwise preconfigure KDE for groups of users.

%prep
%setup -q
%patch1 -p1 -b .fix_default_profile

%build
%configure2_5x 	--disable-rpath \
			--enable-final \
			--disable-debug
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root,0755)
%{_bindir}/kiosktool
%{_bindir}/kiosktool-kdedirs
%{_datadir}/applications/kde/kiosktool.desktop
%dir %{_datadir}/apps/kiosktool/
%{_datadir}/apps/kiosktool/*.png
%{_datadir}/apps/kiosktool/*.xml
%{_datadir}/apps/kiosktool/*.rc
%{_datadir}/icons/crystalsvg/*/apps/kiosktool.png
%doc %{_docdir}/HTML/en/kiosktool/common
%doc %{_docdir}/HTML/en/kiosktool/*.docbook
%doc %{_docdir}/HTML/en/kiosktool/*.bz2


%changelog
* Wed Jul 25 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0-5mdv2008.0
+ Revision: 55265
- spec cleanup
- no bz2 patches
- rebuild for 2008

  + Adam Williamson <awilliamson@mandriva.com>
    - Import kiosktool




* Sat May 20 2006 Laurent MONTEL <lmontel@mandriva.com> 1.0-4mdk
- Rebuild

* Mon May 08 2006 Laurent MONTEL <lmontel@mandriva.com> 1.0-3mdk
- Rebuild to generate new category

* Fri Jul 08 2005 Laurent MONTEL <lmontel@mandriva.com> 1.0-2mdk
- rebuild

* Wed Apr 27 2005 Laurent MONTEL <lmontel@mandriva.com> 1.0-1mdk
- 1.0

* Thu Dec 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9-3mdk
- Fix spec file

* Thu Oct 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9-2mdk
- 

* Thu Oct 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9-1mdk
- 0.9

* Tue Oct 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8-2mdk
- Add patch1: fix fr language

* Mon Aug 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8-1mdk
- 0.8

* Thu Aug 19 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.7-2mdk
- deps & lib64 fixes

* Tue Jul 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-1mdk
- 0.7

* Thu Jul 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-1mdk
- 0.6

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-1mdk
- 0.5

* Tue Jun 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.1-1mdk
- 0.4.1

* Thu May 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3-1mdk
- 0.3

* Tue May 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-1mdk
- First package
